Meltdown and Spectre

The computing industry has just publicly announced two major vulnerabilities affecting virtually every computer.

The vulnerabilities are being called Meltdown and Spectre, and they are very significant issues. They will require immediate and ongoing attention to secure your computing environment. While Widener ITS is working hard to address the issues with University equipment, everyone that has a personal computer, tablet, or smartphone needs to check with their manufacturer/carrier to find out what updates are available.

For your computer, you’ll first need to update your OS, likely either Windows or Apple (but other OS’s are vulnerable, too). Follow your standard method of patching (Windows Update or Apple AppStore Updates). NOTE FOR MAC USERS: we’re still asking you to avoid updating to High Sierra (version 10.13), so please look for the “Update All” button.

For your IOS device (iPad, iPod Touch, iPhone) you’ll go into Settings > General > Software Update. The AppStore will likely alert you, too.

For Android, this can vary, but should be found in Settings > System Updates. Android is usually good about putting updates in front of users quickly.

Browsers – every major browser (Chrome, Firefox, IE, Safari, and others) is being updated. The quickest way to update is usually through the Help > About section of your browser found using the control icon in the upper right corner.

 

This is a confusing issue, and that’s because it’s a big issue. Also, please be aware that scams around this will be out there soon. If you have any questions, please contact us at the Helpdesk at x1047 or at Helpdesk@widener.edu.

Author: Dan Sanders

I'm the Information Security Officer for Widener University.